#!/bin/bash
# We need to install dependencies only for Docker

[[ ! -e /.dockerenv ]] && exit 0

source /etc/os-release

set -xe

if [ $ID == "ubuntu" ]; then
  apt-get update -yqq >/dev/null
  apt-get install -yqq git gnupg build-essential debhelper dh-autoreconf >/dev/null
elif [ $ID == "almalinux" ]; then
  yum -y upgrade
  yum -y install rpm-build
  yum -y install systemd
  yum -y install rpmdevtools
  yum -y install rpmlint
  yum -y install wget
  yum -y install gpg
fi
